Bug 1128211 - python-requests cannot handle HTTPS requests via HTTP proxy (fixed in newer version)
Summary: python-requests cannot handle HTTPS requests via HTTP proxy (fixed in newer v...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-requests
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Arun S A G
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-08 15:06 UTC by Yavor Atanasov
Modified: 2015-09-19 01:09 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-19 01:09:07 UTC


Attachments (Terms of Use)

Description Yavor Atanasov 2014-08-08 15:06:10 UTC
Description of problem:
The version of python-requests in EPEL at the moment is 1.1.0 and it contains a bug that does not allow it to work with SSL via http proxy - described here https://github.com/kennethreitz/requests/issues/1318

The problem has been fixed in newer versions of python-requests. Can that be updated in EPEL

Version-Release number of selected component (if applicable):
1.1.0

How reproducible:
https://github.com/kennethreitz/requests/issues/1318

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Arun S A G 2014-08-14 23:53:56 UTC
Do you think we should update to 2.3.0?

Comment 2 Yavor Atanasov 2014-09-09 11:23:39 UTC
Hi Arun,

Sorry for the delayed response. Actually upgrading might be difficult, as the next available release 1.2.0 contains a backwards incompatible change that might break people:
https://github.com/kennethreitz/requests/compare/v1.1.0...v1.2.0

Namely this:
"Make Reponse.json() callable, not property"

Comment 3 Garrett Holmstrom 2014-10-01 00:42:07 UTC
Have you figured out what you plan on doing with python-requests in EPEL 6?  I am trying to plan whether or not I will need to work around this bug and another bug that prevents session variables from working, both of which were fixed upstream in version 1.2.0.

Comment 4 Garrett Holmstrom 2014-10-01 00:47:30 UTC
FWIW, I could handle a major version bump if we're going to go the backwards-incompatible route.  I just can't speak for everybody.  8^)

Comment 5 Steve Traylen 2015-06-15 12:15:26 UTC
We'd be happy to break backwards compatibility here.

Comment 6 Michel Samia 2015-07-16 11:42:05 UTC
I also need a new version of this package on el6. If there is a compatibility problem, somebody should create a package python-requests2 and should slowly deprecate python-requests for example by a patch that will log a warning with a message about deprecation. Makes sense?

Comment 7 Ralph Bean 2015-09-19 01:09:07 UTC
python-requests-2.6.0 is in rhel6-base now, so I think we can close this one.


Note You need to log in before you can comment on or make changes to this bug.